For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET /trade/v1/info/trades

Get information of the trades conducted in Unizen API, by the company of the api key used.

List of trades

get
Authorizations
HTTPRequired

[just text field] Please enter token in following format: Bearer

Query parameters
limitnumberRequired

Number of elements of each page

Example: 30
offsetnumberRequired

Offset for the pagination

Example: 0
dateFromstringRequired

Date from for the trades

Example: 2024-07-05T11:26:47.815Z
dateTostringRequired

Date to for the trades

Example: 2024-07-12T11:26:47.815Z
Responses
200

List of trades

application/json
ChainnumberRequired

Chain where the tx is conducted. Chain from for cross chain trades

Example: 1
DestChainnumberRequired

Destination chain for cross chain trades

Example: 56
TxHashstringRequired

Transaction hash of the trade

Example: 0xef69f5bd0c38734da5ae5eab1af7c79780d0ec2af942a85120216b59077a103c
BlockNumbernumberRequired

Block number of the trade

Example: 20284547
SenderstringRequired

Sender address

Example: 0xb9f87f0d26a9803a425524681bdc694105567e88
ReceiverstringRequired

Receiver address

Example: 0xb9f87f0d26a9803a425524681bdc694105567e88
SrcTokenstringRequired

Token from address

Example: 0x0000000000000000000000000000000000000000
DstTokenstringRequired

Token to address

Example: 0x0000000000000000000000000000000000000000
AmountInnumberRequired

Amount sent

Example: 33594493338341480
AmountOutnumberRequired

Amount received

Example: 1.303149254052405e+21
Timestampstring · date-timeRequired

Timestamp

Example: 2024-07-11T16:45:59Z
ValueInUSDnumberRequired

Value of the trade in USD

Example: 104.705224
get/v1/info/trades
GET /trade/v1/info/trades?limit=1&offset=1&dateFrom=text&dateTo=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

List of trades

[
  {
    "Chain": 1,
    "DestChain": 56,
    "TxHash": "0xef69f5bd0c38734da5ae5eab1af7c79780d0ec2af942a85120216b59077a103c",
    "BlockNumber": "20284547",
    "Sender": "0xb9f87f0d26a9803a425524681bdc694105567e88",
    "Receiver": "0xb9f87f0d26a9803a425524681bdc694105567e88",
    "SrcToken": "0x0000000000000000000000000000000000000000",
    "DstToken": "0x0000000000000000000000000000000000000000",
    "AmountIn": 33594493338341480,
    "AmountOut": 1.303149254052405e+21,
    "Timestamp": "2024-07-11T16:45:59Z",
    "ValueInUSD": 104.705224
  }
]

Last updated